#!/usr/bin/env bash

#
# Copyright 2011, Shark Intelligence, s.r.o.
# Released under the MIT license
#

#-------------------------------------------------------------------------------
# Configuration
#-------------------------------------------------------------------------------

# ITC user name
USER_NAME="myItcAccountEmail@myDomain.com"

# ITC user password
USER_PASSWD="mySecretPassword"

# vendorid: find it at: https://reportingitc.apple.com/subdashboard.faces
VENDOR_ID="nnnnnnnn"

# directory where the reports are downloaded; Current dir is used if empty;
DIR_DEST=/path/to/report/storage


# Currently only Sales reports are supported
REPORT_TYPE="S"

# Currently Daily and weekly report frequency is supported
REPORT_FREQ="W"

#-------------------------------------------------------------------------------
# Program start
#-------------------------------------------------------------------------------

# Adjust input vars
#
if [ -z "$DIR_DEST" ]; then DIR_DEST=`pwd -P`; fi

# Print info
#

# set CLASSPATH which should point the this script location
#
THIS_SCRIPT=$0
cd `dirname $THIS_SCRIPT`
CLASSPATH=`pwd -P`

# set dir where the reports are downloaded to
#
cd $DIR_DEST


#DT_CUR_STR="date -v-${DAY}d +%Y%m%d"
DT_CUR_STR="date -v-1d +%Y%m%d"
DT_CUR=`$DT_CUR_STR`
FILE_CUR="${REPORT_TYPE}_${REPORT_FREQ}_${VENDOR_ID}_${DT_CUR}*.txt.gz"

if [ $(find . -name $FILE_CUR -maxdepth 1 -type f | wc -l) == "0" ]
then

# Report is missing so download one
#
echo Report for date $DT_CUR is MISSING! Download initiated...
java -cp $CLASSPATH Autoingestion $USER_NAME $USER_PASSWD $VENDOR_ID Sales Weekly Summary $DT_CUR

else

# Report is found
#
echo "$DT_CUR: already here"

fi

